com.google.gwt.user.client.ui

## Class MouseListenerAdapter

- java.lang.Object
- - com.google.gwt.user.client.ui.MouseListenerAdapter

All Implemented Interfaces:
  MouseListener, java.util.EventListener

Deprecated.
use `MouseDownHandler`, `MouseUpHandler`, `MouseOverHandler`, `MouseMoveHandler`, and/or `MouseOutHandler` instead

    @Deprecated
    public class MouseListenerAdapter
    extends java.lang.Object
    implements MouseListener

An adapter to simplify mouse event listeners that do not need all events defined on the MouseListener interface.

### Constructor Summary

Constructors
Constructor and Description
`MouseListenerAdapter()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `onMouseDown(Widget sender, int x, int y)` Deprecated. Fired when the user depresses the mouse button over a widget.
`void` `onMouseEnter(Widget sender)` Deprecated. Fired when the mouse enters a widget's area.
`void` `onMouseLeave(Widget sender)` Deprecated. Fired when the mouse leaves a widget's area.
`void` `onMouseMove(Widget sender, int x, int y)` Deprecated. Fired when the user moves the mouse over a widget.
`void` `onMouseUp(Widget sender, int x, int y)` Deprecated. Fired when the user releases the mouse button over a widget.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MouseListenerAdapter

    public MouseListenerAdapter()

Deprecated.

### Method Detail

#### onMouseDown

    public void onMouseDown(Widget sender,
                            int x,
                            int y)

Deprecated.
Description copied from interface: `MouseListener`
Fired when the user depresses the mouse button over a widget.

Specified by:
  `onMouseDown` in interface `MouseListener`
Parameters:
  `sender` - the widget sending the event
  `x` - the x coordinate of the mouse
  `y` - the y coordinate of the mouse

#### onMouseEnter

    public void onMouseEnter(Widget sender)

Deprecated.
Description copied from interface: `MouseListener`
Fired when the mouse enters a widget's area.

Specified by:
  `onMouseEnter` in interface `MouseListener`
Parameters:
  `sender` - the widget sending the event

#### onMouseLeave

    public void onMouseLeave(Widget sender)

Deprecated.
Description copied from interface: `MouseListener`
Fired when the mouse leaves a widget's area.

Specified by:
  `onMouseLeave` in interface `MouseListener`
Parameters:
  `sender` - the widget sending the event

#### onMouseMove

    public void onMouseMove(Widget sender,
                            int x,
                            int y)

Deprecated.
Description copied from interface: `MouseListener`
Fired when the user moves the mouse over a widget.

Specified by:
  `onMouseMove` in interface `MouseListener`
Parameters:
  `sender` - the widget sending the event
  `x` - the x coordinate of the mouse
  `y` - the y coordinate of the mouse

#### onMouseUp

    public void onMouseUp(Widget sender,
                          int x,
                          int y)

Deprecated.
Description copied from interface: `MouseListener`
Fired when the user releases the mouse button over a widget.

Specified by:
  `onMouseUp` in interface `MouseListener`
Parameters:
  `sender` - the widget sending the event
  `x` - the x coordinate of the mouse
  `y` - the y coordinate of the mouse